.image-holder {
    position: relative;
    z-index: 100; 
    display: inline-block;
}

.image-holder.has-second-image {
    display: grid;
    gap: 30px;
    grid-template-columns: repeat(2, 1fr);
}

.image-holder.has-second-image img:first-child {
    margin-top: 50px !important;
}

/* Text pad */
.image-holder .text-box {
    background: var(--image-pad-text-background);
    color: var(--image-pad-text-color);
    padding: 20px;
    max-width: 220px;
    position: absolute;
    text-align: center;
}

.image-holder .text-box .title {
    font-family: "Noto Serif", serif;
    font-size: 45px;
    font-weight: 500;
    line-height: 1.2;
}

.image-holder .text-box .text {
    font-size: 18px;
    line-height: 1.2;
    display: block;
    margin-top: 5px;
}

/* positions */
.image-holder.top-right {
    padding-right: 50px;
}

.image-holder.top-right .text-box  {
    top: 45px;
    right: 0;
}

.image-holder.top-left {
    padding-left: 50px;
}

.image-holder.top-left .text-box  {
    top: 45px;
    left: 0;
}

.image-holder.bottom-right {
    padding-right: 50px;
}

.image-holder.bottom-right .text-box  {
    bottom: 45px;
    right: 0;
}

.image-holder.bottom-left {
    padding-left: 50px;
}

.image-holder.bottom-left .text-box  {
    bottom: 45px;
    left: 0;
}

.section--primary .image-holder .text-box {
    background: var(--image-pad-text-background-on-primary);
    color: var(--image-pad-text-color-on-primary);
}

.section--secondary .image-holder .text-box {
    background: var(--image-pad-text-background-on-secondary);
    color: var(--image-pad-text-color-on-secondary);
}

@media only screen and (max-width: 767px) {
    .image-holder .text-box .text {
        font-size: 17px;
    }

    .image-holder.has-second-image {
        grid-template-columns: 1fr;
    }

    .image-holder img:first-child {
        margin-top: 0 !important;
    }
}